Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.resource.config
Class ResourceReliabilityConfiguration

    java.lang.Object
      lbg.resource.config.ResourceReliabilityConfiguration

    public class ResourceReliabilityConfiguration

extends java.lang.Object

Resource reliability configuration (currently intended for use in SIM_MODE only).

Author:
  Cyril Briquet

Constructor Summary
`ResourceReliabilityConfiguration(int mtbf)` Creates a new ResourceReliabilityConfiguration (legal in SIM_MODE only).

Method Summary
`java.lang.String` | `format(boolean log_format)` Outputs the ResourceReliabilityConfiguration, formatted either as a property file or as a log file.
`int` | `MTBF()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceReliabilityConfiguration

    public ResourceReliabilityConfiguration(int mtbf)
                                     throws GridException

  Creates a new ResourceReliabilityConfiguration (legal in SIM_MODE only).

  Parameters:
    `mtbf` - Mean Time Between Failures (always >= 0, with 0 indicating that the Resource is perfectly reliable).
  Throws:
    `GridException` - if a parameter is illegal

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### format

    public java.lang.String format(boolean log_format)

  Outputs the ResourceReliabilityConfiguration, formatted either as a property file or as a log file.

  Parameters:
    `log_format` - true to format ResourceReliabilityConfiguration as a log file
  Returns:
    formatted ResourceReliabilityConfiguration

### MTBF

    public int MTBF()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.